ModuleDescriptorParser
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.plugins.parser
Interface ModuleDescriptorParser

All Known Implementing Classes:
  AbstractModuleDescriptorParser, ModuleDescriptorParserRegistry, OSGiManifestParser, PomModuleDescriptorParser, XmlModuleDescriptorParser

    public interface ModuleDescriptorParser

Method Summary
`boolean` | `accept(Resource res)`
`Artifact` | `getMetadataArtifact(ModuleRevisionId mrid, Resource res)` Returns the module metadata artifact corresponding to the given module revision id that this parser parses
`java.lang.String` | `getType()` Return the 'type' of module artifacts this parser is parsing
`ModuleDescriptor` | `parseDescriptor(ParserSettings ivySettings, java.net.URL descriptorURL, boolean validate)`
`ModuleDescriptor` | `parseDescriptor(ParserSettings ivySettings, java.net.URL descriptorURL, Resource res, boolean validate)`
`void` | `toIvyFile(java.io.InputStream is, Resource res, java.io.File destFile, ModuleDescriptor md)` Convert a module descriptor to an ivy file.

Method Detail

### parseDescriptor

    ModuleDescriptor parseDescriptor(ParserSettings ivySettings,
                                     java.net.URL descriptorURL,
                                     boolean validate)
                                     throws java.text.ParseException,
                                            java.io.IOException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### parseDescriptor

    ModuleDescriptor parseDescriptor(ParserSettings ivySettings,
                                     java.net.URL descriptorURL,
                                     Resource res,
                                     boolean validate)
                                     throws java.text.ParseException,
                                            java.io.IOException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### toIvyFile

    void toIvyFile(java.io.InputStream is,
                   Resource res,
                   java.io.File destFile,
                   ModuleDescriptor md)
                   throws java.text.ParseException,
                          java.io.IOException

  Convert a module descriptor to an ivy file. This method MUST close the given input stream when job is finished

  Parameters:
    `is` - input stream with opened on original module descriptor resource
  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### accept

    boolean accept(Resource res)

### getType

    java.lang.String getType()

  Return the 'type' of module artifacts this parser is parsing

  Returns:
    the 'type' of module artifacts this parser is parsing

### getMetadataArtifact

    Artifact getMetadataArtifact(ModuleRevisionId mrid,
                                 Resource res)

  Returns the module metadata artifact corresponding to the given module revision id that this parser parses

  Parameters:
    `res` - the resource for which the module artifact should be returned
    `mrid` - the module revision id for which the module artifact should be returned
  Returns:
    the module artifact corresponding to the given mrid and resource

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD